{
  "compileOnSave": false,
  "compilerOptions": {
    "rootDir": ".",
    "sourceMap": true,
    "declaration": false,
    "moduleResolution": "node",
    "emitDecoratorMetadata": true,
    "experimentalDecorators": true,
    "importHelpers": true,
    "target": "es2015",
    "module": "esnext",
    "lib": ["es2020", "dom"],
    "resolveJsonModule": true,
    "skipLibCheck": true,
    "skipDefaultLibCheck": true,
    "paths": {
      "@fog-explorer/api-interfaces": ["./libs/api-interfaces/src/index.ts"],
      "@fog-explorer/mission-logic": ["./libs/mission-logic/src/index.ts"],
      "@fog-explorer/encounter-library": [
        "./libs/encounter-library/src/index.ts"
      ]
    }
  },
  "exclude": ["node_modules", "tmp"]
}
